This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Remove deprecated -Wp64 compiler option
authorJan Dubois <jand@activestate.com>
Thu, 22 Jul 2010 00:21:05 +0000 (17:21 -0700)
committerJan Dubois <jand@activestate.com>
Thu, 22 Jul 2010 00:21:05 +0000 (17:21 -0700)
The option seems to have been cargo-culted, as it is not
relevant to the Perl sources, and would really be useful
for 32-bit compiles only anyways (it detects certain
potential 64-bit compatibility issues in 32-bit compiles;
the 64-bit compilers always report these issues by default).

win32/Makefile

index 87c502d..fab8cf4 100644 (file)
@@ -471,7 +471,7 @@ OPTIMIZE    = $(OPTIMIZE) -O1
 
 !IF "$(WIN64)" == "define"
 DEFINES                = $(DEFINES) -DWIN64 -DCONSERVATIVE
-OPTIMIZE       = $(OPTIMIZE) -Wp64 -fp:precise
+OPTIMIZE       = $(OPTIMIZE) -fp:precise
 !ENDIF
 
 # For now, silence VC++ 8.x's and 9.x's warnings about "unsafe" CRT functions